Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.exception
Class HL7WSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.tcpip.model.exception.TCPIPWSException
                  com.stc.connector.tcpip.hl7.exception.HL7WSException

All Implemented Interfaces:
  TCPIPNestedException, java.io.Serializable

    public class HL7WSException

extends TCPIPWSException

Exception class for HL7 eWay web services.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:28:39 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7WSException()` Creates a new instance of `HL7WSException` without detail message.
`HL7WSException(java.lang.Exception nestedException)`
`HL7WSException(java.lang.String msg)` Constructs an instance of `HL7WSException` with the specified detail message.
`HL7WSException(java.lang.String msg, java.lang.Exception nestedException)`

Method Summary

Methods inherited from class com.stc.connector.tcpip.model.exception.TCPIPWSException
`getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7WSException

    public HL7WSException()

  Creates a new instance of `HL7WSException` without detail message.

### HL7WSException

    public HL7WSException(java.lang.String msg)

  Constructs an instance of `HL7WSException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### HL7WSException

    public HL7WSException(java.lang.Exception nestedException)

Parameters:
  `nestedException` -

### HL7WSException

    public HL7WSException(java.lang.String msg,
                          java.lang.Exception nestedException)

Parameters:
  `msg` -
  `nestedException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD